{
  "name": "adblockpluscore",
  "version": "0.11.1",
  "repository": "https://gitlab.com/eyeo/adblockplus/abc/adblockpluscore.git",
  "license": "GPL-3.0-only",
  "engines": {
    "node": ">=18",
    "npm": ">=9"
  },
  "dependencies": {
    "tar": "^6.1.10",
    "yargs": "17.3.0"
  },
  "devDependencies": {
    "@eyeo/get-browser-binary": "^0.18.0",
    "c8": "^7.1.2",
    "chai": "^4.2.0",
    "got": "^11.1.3",
    "jsdoc": "^4.0.1",
    "jsdoc-to-markdown": "^7.1.1",
    "memory-fs": "0.4.1",
    "mocha": "^10.0.0",
    "nock": "^13.2.1",
    "sandboxed-module": "2.0.4",
    "script-loader": "0.7.0",
    "webpack": "^5"
  },
  "scripts": {
    "jsdoc": "jsdoc --configure .jsdoc.conf --destination build/docs lib",
    "docs": "npm run jsdoc",
    "unit-tests": "c8 --include=lib/*.js --include=scripts/*.js --include=lib/filters/*.js --include=lib/dnr/*.js --exclude=lib/index.js --exclude=lib/jsbn.js --exclude=lib/rusha.js --all mocha --check-leaks",
    "test:browser": "node test_runner_browser.mjs",
    "test:unit": "node test_runner_unit.mjs",
    "update-resources": "node scripts/updateResources.js",
    "updatepsl": "node scripts/updatepsl.js",
    "update-subscriptions": "node scripts/updateSubscriptions.js"
  },
  "main": "lib"
}
